package db

import (
	"leit.com/leit_seat_aps/common"
)

// BOM 数据行
type Me_bomlst struct {
	Finr          int    `xorm:"pk"`
	Bomid         string `xorm:"pk"`
	Fmatnr        string `xorm:"pk"`
	Cmatnr        string `xorm:"pk"`
	Fmatname      string
	Fmatspec      string
	Fmatqty       float32
	Fmatuom       string
	Cmatname      string
	Cmatqty       float32
	Cmatuom       string
	Cmattype      string
	Position      int
	Leadtime      float32
	Lossrate      float32
	Timeuom       string
	Backflushitem int
	Criticalitem  int
	Validfrom     string
	Validto       string
	Bomlst_cval1  string
	Bomlst_cval2  string
	Bomlst_ival1  int
	Bomlst_ival2  int
	Lastmodif     string
	Lastuser      string
	Credatuz      string
}

func (t *Me_bomlst) Clipped() {
	common.TrimStruct(t, *t)
}

func (t *Me_bomlst) TableName() string {
	return "me_bomlst"
}
