package lab

import (
	"fmt"
	"testing"
)

// 测试TOD引擎
func TestLab(t *testing.T) {
	var (
		lab     *LAB
		ediFile string
		err     error
	)

	// 初始化
	lab = &LAB{}
	ediFile = "C:\\MES\\LAPP_SEAT\\Documents\\EDI_FILE\\LAB\\BMW.SY78.DELINS.2020020617313143.B0617313"
	if err = ParseLabEdi(ediFile, lab); err != nil {
		t.Errorf("Failed to parse due to: %v", err)
	}
	PrintLabEdi(lab)
	fmt.Println("Total data rows = ", lab.DataRows)
	return
}
