package edi

import (
	"fmt"
	"leit.com/leit_seat_aps/db"
)

// 正对EDI行记录进行EDI的文件指派服务
func RunEdiAssign() (err error) {
	var (
		editab    db.Edi_oem
		editablst []db.Edi_oem
	)
	// 查询EDI记录表
	if editablst, err = editab.SelectActiveOnes(); err != nil {
		fmt.Println(err)
		return
	}
	fmt.Println("加载中")
	lengh := len(editablst)
	fmt.Printf("lengh is :%v",lengh)
	// 按不同的EDI启动
	for _, editab = range editablst {
		go RunEdiTodAssignTask(editab)
		go RunEdiSeqAssignTask(editab)
		go RunEdiReorderAssignTask(editab)
		go RunEdiCalloffAssignTask(editab)
	}
	return
}
