package seq

import (
	"fmt"
	"leit.com/leit_seat_aps/db"
	"testing"
)

// 测试排序调度
func TestPicker(t *testing.T) {
	var (
		connstring string
		err        error
	)

	// 连接数据库
	connstring = fmt.Sprintf("server=%s;user id=%s;password=%s;database=%s;port=%d;encrypt=disable",
		`10.114.64.19`, "lapp", "123fis", "SJA_APS", 1433)
	if err = db.InitMssqlDb(connstring); err != nil {
		t.Errorf("Failed to connect db due to: %v", err)
		return
	}
	defer db.G_DbEngine.Close()

	// 运行拣料服务
	if err = RunPicker(); err != nil {
		t.Errorf("Failed to RunPicker due to: %v", err)
		return
	}

	return
}
