package service

import (
	"strconv"
	"strings"
)

// 验证错误
type BL_VerifyError struct {
	Errortype     int // 错误类型
	Partid        string
	Supplygroupid string
	Partfamilyid  string
	Attrcode      int    // 属性ID
	Errorinfo     string // 错误信息
}

func (bl_verr *BL_VerifyError) GetDictKey() (key string) {
	key = strconv.Itoa(bl_verr.Attrcode) + "-" + strings.TrimSpace(bl_verr.Partfamilyid) + "-" + strings.TrimSpace(bl_verr.Supplygroupid) + "-" + strings.TrimSpace(bl_verr.Partid)
	return
}
